body {
  margin: auto;
  padding: 0;
  font-family: 'Arial', sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
  background-image: url('../images/trees-1915242_1920.jpg');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: 100% 100%;
}

ul {
  list-style-type: none;
  padding: 0;
}

li a {
  text-decoration: none;
  color: inherit;
}

.page-content {
  display: flex;
  height: 100vh;
  width: 100vw;
}

.products {
  flex: 1;
  display: flex;
  flex-direction: column;
  margin-left: 16vw;
  padding-left: 20px;
}

.sidebar {
  width: 12vw;
  background: #4caf50;
  height: 100vh;
  margin-left: 0;
  position: fixed;
  top: 0;
  left: 0;
  overflow: auto;
  font-size: 1.2rem;
}

.sidebar a {
  display: block;
  color: white;
  text-decoration: none;
  padding: 15px;
  text-align: left;
  border-top: 2px solid #FFBF00;
}

.sidebar a:hover {
  background-color: #495057;
}

.header {
  text-align: center;
  margin: 20px 0;
}

.header h1 {
  font-size: 2.5rem;
  margin-bottom: 10px;
  text-align: center;
  color: black;
}

.header p {
  font-size: 1.2rem;
  line-height: 1.6;
}

.section {
  display: flex;
  align-items: center;
  margin: 20px 0;
  text-align: center;
  flex-flow: column;
}

.section h4 {
  margin-bottom: 20px;
  font-size: 1.8rem;
  text-transform: uppercase;
  text-align: center;
  color: black;
}

.gallery {
  display: flex;
  gap: 20px;
  justify-content: center;
  flex-wrap: wrap;
  margin-bottom: 20px;
}

.image-container {
  position: relative;
  width: 300px;
  height: 350px;
  border-radius: 5px;
  justify-content: center;
  display: flex;
  align-items: flex-end;
  overflow: hidden;
}

.image-container img {
  display: block;
  margin: auto;
  width: auto;
  height: auto;
  max-width: 300px;
  max-height: 280px;
  object-fit: contain;
  border-radius: 10px;
  transition: transform 0.3s ease;
  margin-bottom: 70px;
}

.image-container:hover img {
  transform: scale(1.1);
}

.image-container .text-overlay {
  font-size: 25px;
  font-weight: bold;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: black;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  opacity: 0;
  transition: opacity 0.3s ease;
  border-radius: 10px;
  text-align: center;
  pointer-events: none;
}

.image-container:hover .text-overlay {
  opacity: 1;
}

.product-page {
  padding-top: 30px;
  box-sizing: border-box;
}

.product-title {
  font-size: 3.5rem;
  margin-bottom: 1.2rem;
}

.badge {
  background-color: #00aaff;
  color: white;
  padding: 5px 15px;
  border-radius: 5px;
  font-size: 1.4rem;
  margin-bottom: 20px;
  display: inline-block;
  text-align: center;
}

.product-content {
  display: flex;
  gap: 30px;
  align-items: flex-start;
}

.image-gallery img {
  width: 60vh;
  height: 60vh;
  justify-content: center;
  object-fit: contain;
  border-radius: 10px;
  margin-top: 3rem;
}

.availability {
  font-weight: bold;
  color: green;
}

.price {
  font-size: 28px;
  font-weight: bold;
  color: #333;
}

.add-to-cart {
  display: flex;
  gap: 15px;
  align-items: center;
  margin-top: 20px;
}

.quantity {
  display: flex;
  gap: 5px;
  align-items: center;
}

.quantity input {
  width: 60px;
  text-align: center;
  font-size: 1.3rem;
}

.btn {
  background-color: #4caf50;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 1.4rem;
}

.btn:hover {
  background-color: #45a049;
}

.product-description {
  font-size: 20px;
  margin-top: 15px;
  margin-bottom: 15px;
}

.product-specifications {
  flex: 1 1 30%;
  margin-top: 50px;
  font-size: 1.6rem;
}

.product-specifications h3 {
  margin-bottom: 15px;
  font-size: 3rem;
  font-weight: bold;
  padding-left: 6rem;

}

.product-specifications p {
  margin-bottom: 15px;
  font-size: 2rem;
  padding-left: 6rem;
}

.spec-buttons {
  margin-top: 30px;
  text-align: left;
  padding-left: 6rem;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

.top-bar {
  display: flex;
  position: absolute;
  flex-direction: row;
  top: 0;
  right: 10px;
  margin: 10px;
}

.top-bar form {
  display: flex;
}

.top-bar input[type=text] {
  font-size: 20px;
}

.cart-icon {
  margin-left: 10px;
  font-size: 30px;
  color: black;
}

.pozor {
  margin-top: -10px;
  text-align: center;
  font-size: 1.1rem;
  background-color: #FFBF00;
  width: 12vw;
}

.contact-box {
  width: 12vw;
  border-top: 2px solid #FFBF00;
  padding: 10px;
  font-family: Arial, sans-serif;
  font-size: 1.1rem;
  background-color: #45a049;
  color: #f5f5dc;
}

.contact-box h3 {
  font-size: 1.4rem;
  font-weight: bold;
  margin-bottom: 10px;
}

.contact-box p {
  margin: 5px 0;
  line-height: 1.6;
}

.contact-box a {
  color: blue;
  text-decoration: none;
  font-weight: bold;
}

.contact-box a:hover {
  text-decoration: underline;
}

.description {
  text-align: center;
  max-width: 75vw;
}

.search-container {
  display: flex;
  flex-flow: column;
}

.search-item {
  display: inherit;
  align-items: center;
}

.search-item-description {
  height: 20vh;
  min-height: 100px;
  width: auto;
  margin-bottom: 10px;
}

.search-item-description a {
  color: black;
  text-decoration: none;
}

.search-container img {
  width: 20vh;
  height: 20vh;
  object-fit: contain;
  border-radius: 10px;
  padding-right: 20px;
}

.search-item:hover img {
  transform: scale(1.1);
}

.order-data {
  display: flex;
}

.order-form {
  flex: 1;
  display: flex;
  flex-direction: column;
  max-width: 30vw;
  padding-right: 10px;
}

.order-form input {
  max-width: 12vw;
  padding-top: 5px;
  padding-bottom: 5px;
  margin-bottom: 10px;
}

.order-form input::placeholder, textarea::placeholder {
  font-size: 15px;
  color: black;
  font-family: Arial, Helvetica, sans-serif;
}

.order-form #note {
  max-width: 30vw;
  height: 15vh;
}

.order-form #note textarea {
  max-width: 30vw;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.choices {
  flex: 2;
  display: flex;
  flex-direction: column;
  margin-left: 12vw;
  color: black;
}

.choice {
  width: 15vw;
  display: flex;
  flex-direction: column;
}

.choice label {
  margin-bottom: 5px;
}